GET
/
v1
/
teams
/
{teamId}
/
content
/
slideshows
/
{contentItemId}
/
chat
TypeScript client
import { OctosparkClient } from '@octospark/sdk'

const client = new OctosparkClient({
  token: process.env.OCTOSPARK_TOKEN
})

const response = await client.slideshows.getSlideshowChat({
  teamId: process.env.OCTOSPARK_TEAM_ID ?? "teamId",
  contentItemId: process.env.OCTOSPARK_CONTENT_ITEM_ID ?? "contentItemId",
})
{
  "conversationId": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
  "messages": [
    {
      "id": "<string>",
      "runId": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
      "text": "<string>",
      "createdAt": "<string>",
      "parts": [
        {}
      ]
    }
  ]
}

Authorizations

Authorization
string
header
required

Bearer authentication header of the form Bearer <token>, where <token> is your auth token.

Path Parameters

teamId
string
required

Team (workspace) id (UUID). Discover ids via the list teams endpoint or the agent context.

contentItemId
string<uuid>
required

Slideshow content item id (UUID), as returned by createSlideshow, createSlideshowGeneration, or listSlideshows.

Pattern: ^[0-9a-fA-F]{8}-[0-9a-fA-F]{4}-[0-9a-fA-F]{4}-[0-9a-fA-F]{4}-[0-9a-fA-F]{12}$

Response

SlideshowChatResponse

conversationId
string<uuid>
required

a Universally Unique Identifier

Pattern: ^[0-9a-fA-F]{8}-[0-9a-fA-F]{4}-[0-9a-fA-F]{4}-[0-9a-fA-F]{4}-[0-9a-fA-F]{12}$
messages
object[]
required